import AuthController from "@controllers/auth.controller";
import express, { type Router } from "express";
import { AuthMiddleware } from "src/middlewares/authentication.middleware";

const AuthRouter: Router = express.Router();

//AuthRouter.route("/login").post(AuthController.login);
AuthRouter.route("/register").post(AuthController.register);
AuthRouter.route("/me").get(AuthMiddleware.user, AuthController.me);

export default AuthRouter;
