const Validators = {
	isEmail: (value: string) => {
		const emailRegex = /^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,32}$/;
		return emailRegex.test(value);
	},
	isUsername: (value: string) => {
		const usernameRegex = /^[a-zA-Z0-9._]{3,14}$/;
		return usernameRegex.test(value);
	},
	//displayName

	isPassword: (value: string) => {
		const passwordRegex =
			/^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[@$!%*?&])[A-Za-z\d@$!%*?&]{8,32}$/;
		return passwordRegex.test(value);
	},
};

export default Validators;
